[quantal] fglrx fails to build on i386

Bug #1017822 reported by Martin Pitt on 2012-06-26
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Precise
High
Unassigned
fglrx-installer-updates (Ubuntu)
High
Alberto Milone
Precise
High
Unassigned

Bug Description

[Impact]
The kernel enablement roadmap will include backported kernels from quantal and beyond in 12.04; the fglrx modules will be unable to build against these kernels without this bugfix.

[Test case]
ALBERTO: please provide step-by-step instructions here for testing that the fglrx module will build against linux 3.5.0, given that there is no linux 3.5.0 package in quantal

[Regression potential]
Minimal: all new code is guarded with kernel version checks.

Since the move to kernel 3.5.0, fglrx fails to build on i386. It does build correctly on amd64.

This is detected by the ubuntu-drivers-common autopkgtest:

https://jenkins.qa.ubuntu.com/view/Quantal/view/AutoPkg%20Test/job/quantal-adt-ubuntu-drivers-common/

amd64 succeeds:

https://jenkins.qa.ubuntu.com/view/Quantal/view/AutoPkg%20Test/job/quantal-adt-ubuntu-drivers-common/ARCH=amd64,label=albali/3/

i386 fails:

https://jenkins.qa.ubuntu.com/view/Quantal/view/AutoPkg%20Test/job/quantal-adt-ubuntu-drivers-common/ARCH=i386,label=albali/3/

log:
https://jenkins.qa.ubuntu.com/view/Quantal/view/AutoPkg%20Test/job/quantal-adt-ubuntu-drivers-common/ARCH=i386,label=albali/3/console

Martin Pitt (pitti) wrote :

Tentatively assigning to Alberto.

tags: added: rls-q-incoming
Changed in fglrx-installer (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Triaged
Changed in fglrx-installer-updates (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.960-0ubuntu3

---------------
fglrx-installer-updates (2:8.960-0ubuntu3) quantal; urgency=low

  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Update patch so as to make sure to include
      asm/fpu-internal.h (LP: #1017822).
 -- Alberto Milone <email address hidden> Sat, 30 Jun 2012 11:37:33 +0200

Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.960-0ubuntu3

---------------
fglrx-installer (2:8.960-0ubuntu3) quantal; urgency=low

  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Update patch so as to make sure to include
      asm/fpu-internal.h (LP: #1017822).
 -- Alberto Milone <email address hidden> Sat, 30 Jun 2012 11:33:04 +0200

Changed in fglrx-installer (Ubuntu):
status: In Progress → Fix Released
Steve Langasek (vorlon) on 2012-08-04
Changed in fglrx-installer-updates (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
Changed in fglrx-installer (Ubuntu Precise):
importance: Undecided → High
status: New → In Progress

Hello Martin, or anyone else affected,

Accepted fglrx-installer-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:8.960-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
Changed in fglrx-installer-updates (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in fglrx-installer (Ubuntu Precise):
status: In Progress → Fix Committed
Steve Langasek (vorlon) wrote :

Hello Martin, or anyone else affected,

Accepted fglrx-installer into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer/2:8.960-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Stéphane Graber (stgraber) wrote :

I can confirm that both build fine on a 3.5 kernel (backport PPA) on an i386 machine. This machine doesn't have ati hardware so I could only test the build and checked that the .ko existed. Loading it manually gives an error in dmesg as expected.

Based on that and the other test results for the other bug in this upload, I'm marking it verification-done.

(testing was done on both packages)

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.960-0ubuntu1.1

---------------
fglrx-installer (2:8.960-0ubuntu1.1) precise-proposed; urgency=low

  [ Alberto Milone ]
  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Fix build issue on i386 where TS_USEDFPU is no longer
      available (LP: #1017822).
  * replace-do_mmap-and-do_munmap-with-vm_mmap-and-vm_mu.patch,
    replace-for_each_cpu_mask-with-for_each_possible_cpu.patch:
    - Add support for Linux 3.5.

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).
 -- Alberto Milone <email address hidden> Wed, 01 Aug 2012 19:11:19 +0200

Changed in fglrx-installer (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.960-0ubuntu1.1

---------------
fglrx-installer-updates (2:8.960-0ubuntu1.1) precise-proposed; urgency=low

  [ Alberto Milone ]
  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Fix build issue on i386 where TS_USEDFPU is no longer
      available (LP: #1017822).
  * replace-do_mmap-and-do_munmap-with-vm_mmap-and-vm_mu.patch,
    replace-for_each_cpu_mask-with-for_each_possible_cpu.patch:
    - Add support for Linux 3.5.

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).
 -- Alberto Milone <email address hidden> Wed, 01 Aug 2012 19:03:48 +0200

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers